"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var program = require("commander");
var server_1 = require("./server");
var VERSION = require('../package.json').version;
var HOST = process.env.REMOTE_LOG_HOST || 'localhost';
var PORT = process.env.REMOTE_LOG_PORT || '12345';
program.version(VERSION);
program
    .command('start')
    .description('Start server')
    .option('-H, --host [host]', 'Set host for HTTP/WebSocket server', HOST)
    .option('-P, --port [port]', 'Set port for HTTP/WebSocket server', PORT)
    .action(function (command) {
    var host = command.host, port = command.port;
    server_1.default(host, port);
});
var args = process.argv;
args.splice(2, 0, 'start');
program.parse(args);
//# sourceMappingURL=cli.js.map