"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var websocket_1 = require("websocket");
var express = require("express");
exports.default = (function (host, port) {
    var app = express();
    var server = app.listen(parseInt(port, 10), host, function () {
        console.log("Remote log server listening in http://" + host + ":" + port);
    });
    var websocketServer = new websocket_1.server({ httpServer: server });
    websocketServer.on('request', function (request) {
        var connection = request.accept(null, request.origin);
        console.log('Client connected');
        connection.on('message', function (message) {
            if (message.type === 'utf8') {
                console.log(message.utf8Data);
            }
        });
        connection.on('close', function (connection) {
            console.log('Client disconnected');
        });
    });
});
//# sourceMappingURL=server.js.map